aboutsummaryrefslogtreecommitdiff
path: root/scripts/notify
diff options
context:
space:
mode:
authorEuAndreh <eu@euandre.org>2021-02-20 17:09:41 -0300
committerEuAndreh <eu@euandre.org>2021-02-20 17:10:14 -0300
commita98ac34e479b4beeff29126b1abbedf5b5a71d1d (patch)
tree5148db57bfb7f799a255636edce1e08f616d9322 /scripts/notify
parentUse solution that is both more elegant AND faster for xmobar-mpris stuff (diff)
downloaddotfiles-a98ac34e479b4beeff29126b1abbedf5b5a71d1d.tar.gz
dotfiles-a98ac34e479b4beeff29126b1abbedf5b5a71d1d.tar.xz
Add minimalistic notifications with xmobar
Diffstat (limited to '')
-rwxr-xr-xscripts/notify10
1 files changed, 10 insertions, 0 deletions
diff --git a/scripts/notify b/scripts/notify
new file mode 100755
index 00000000..984c7ac4
--- /dev/null
+++ b/scripts/notify
@@ -0,0 +1,10 @@
+#!/bin/sh
+set -eu
+
+# Derived from:
+# https://unix.stackexchange.com/questions/61205/how-to-supress-the-display-of-previous-job-details
+( (
+ echo "$1" > ~/.cache/euandreh/xmobar-notifications.txt
+ sleep 10
+ echo "" > ~/.cache/euandreh/xmobar-notifications.txt
+) &)